package com.ho.flow.mapper;

import com.ho.flow.entity.WorkOrderPlanSub;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
* @author yule
* @description 针对表【work_order_plan_sub】的数据库操作Mapper
* @createDate 2023-03-16 15:26:08
* @Entity com.ho.flow.entity.WorkOrderPlanSub
*/
@Mapper
public interface WorkOrderPlanSubMapper {

    int deleteByPrimaryKey(Long id);

    int insert(WorkOrderPlanSub record);

    int insertSelective(WorkOrderPlanSub record);

    WorkOrderPlanSub selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(WorkOrderPlanSub record);

    int updateByPrimaryKey(WorkOrderPlanSub record);

    int deleteByPid(Integer pid);

    List<WorkOrderPlanSub> selectByPid(Integer pid);

    int insertBatch(List<WorkOrderPlanSub> list);

    int insertUserBatch(List<WorkOrderPlanSub> userList);
}
